A Classic Editor támogatását meghosszabbították

2018-ban, a WordPress 5.0-val és az új Gutenberg szerkesztővel egyidőben adták ki a Classic Editor plugint, amivel továbbra is használható a régifajta tartalomszerkesztő felület. Az eredetileg 2021 végéig működő bővítmény támogatását most meghosszabbították: legalább 2022 végéig támogatott lesz.

Jó hír ez annak a nagyjából 5 millió felhasználónak, akik jelenleg is használják a Classic Editort a weboldalukon. De nekik sem érdemes késlekedni: a WordPress klasszikus szerkesztője a múlt, a blokkalapú szerkesztő a jövő – előbb vagy utóbb használhatatlanná fog válni a Classic Editor, és minél hamarabb érdemes átállni az új felületre.

Az új, 2022 végére eső határidő nem azt jelenti, hogy hirtelen nem lehet majd tovább használni a Classic Editort, csak azt, hogy ekkortól megszűnik a hivatalos támogatás, azaz frissítések nemigen fognak kijönni már hozzá, és a WordPress újabb verzióival és kiegészítőivel kompatibilitási problémák is felmerülhetnek.

Az új határidő sincs kőbe vésve: a lejárat előtt a fejlesztők újra fel fogják mérni a helyzetet, és dönteni fognak a határidő tartásáról vagy további halasztásáról.

A támogatási idő lejárta után sincs minden veszve azon felhasználók számára, akik nem akarnak (vagy nem tudnak) váltani Gutenbergre: nemhivatalos megoldások valószínűleg továbbra is elérhetőek lesznek, úgymint a Disable Gutenberg bővítmény, amelynek a fejlesztői hosszabb támogatási időszakot ígérnek, mint a Classic Editor bővítményé.


A Szerzőről
Piller Balázs senior webfejlesztő, SEO specialista, és a WordPress szakértője. Számos sikeres projektben vett részt vezető fejlesztőként. Az általa írt kód jelenleg több mint 1 000 000 webhelyen fut.

Vélemény, hozzászólás?

Az e-mail-címet nem tesszük közzé. A kötelező mezőket * karakterrel jelöltük